import request from '@/router/axios';



export const getList = () => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/all/list',
        method: 'get',
    })
}

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}

export const remove = (ids) => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-business/equipment/inspection/plan/detail',
        method: 'get',
        params: {
            id
        }
    })
}

export const getRealData = () => {
    return request({
        url: '/api/galaxy-business/home/real/info',
        method: 'get',

    })
}

export const getRtuStatusCountData = () => {
    return request({
        url: '/api/galaxy-business/home/rtu/status/count/info',
        method: 'get',

    })
}

export const getCheckOrderCountData = () => {
    return request({
        url: '/api/galaxy-business/home/rtu/checkorder/count/info',
        method: 'get',

    })
}

export const getInspectionReportCountData = () => {
    return request({
        url: '/api/galaxy-business/home/rtu/inspectionreport/count/info',
        method: 'get',

    })
}

export const getRtuUpCountData = () => {
    return request({
        url: '/api/galaxy-business/home/rtu/up/count/info',
        method: 'get',

    })
}

export const getWarnKindCountData = () => {
    return request({
        url: '/api/galaxy-business/home/rtu/warn/kind/count/info',
        method: 'get',

    })
}

export const getWarnCountList = () => {
    return request({
        url: '/api/galaxy-business/home/warn/count/list',
        method: 'get',

    })
}


